<?php


namespace Modules\API;


use Venom\Config;
use Venom\Views\RenderController;
use Venom\Views\VenomRenderer;

class APIMailer implements RenderController
{

    private bool $useAPI = false;
    public function register(): bool
    {
        $this->useAPI = Config::getInstance()->getApi()['useAPI'] === true;
        return true;
    }

    public function render(VenomRenderer $renderer): bool
    {
        //check for batch rendering... this is very important!
        echo 'batch...';
        return $this->useAPI;
    }

    //return async to say the backend that this should exit after rendering
    public function getTemplate(): string
    {
        return 'async';
    }
}